Package org.apache.sis.metadata.iso.quality

## Class DefaultTemporalConsistency

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - AbstractElement
        - - AbstractTemporalAccuracy
          - - DefaultTemporalConsistency

- All Implemented Interfaces:
    `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `Element`, `TemporalAccuracy`, `TemporalConsistency`

      public class DefaultTemporalConsistency
      extends AbstractTemporalAccuracy
      implements TemporalConsistency

  Correctness of ordered events or sequences, if reported. The following property is mandatory in a well-formed metadata according ISO 19115:
  `DQ_TemporalConsistency` `└─result……………` Value obtained from applying a data quality measure.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ModifiableMetadata

      `ModifiableMetadata​.State`

  - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTemporalConsistency()` | Constructs an initially empty temporal consistency.
    `DefaultTemporalConsistency​(TemporalConsistency object)` | Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DefaultTemporalConsistency` | `castOrCopy​(TemporalConsistency object)` | Returns a SIS metadata implementation with the values of the given arbitrary implementation.

    - ### Methods inherited from class AbstractTemporalAccuracy

      `castOrCopy`

    - ### Methods inherited from class AbstractElement

      `castOrCopy, getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults, setDates, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setMeasureDescription, setMeasureIdentification, setNamesOfMeasure, setResults`

    - ### Methods inherited from class ISOMetadata

      `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, freeze, isModifiable, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, unmodifiable, writeCollection, writeList, writeMap, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface Element

      `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults`

- - ### Constructor Detail

    - #### DefaultTemporalConsistency

          public DefaultTemporalConsistency()

      Constructs an initially empty temporal consistency.

    - #### DefaultTemporalConsistency

          public DefaultTemporalConsistency​(TemporalConsistency object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(TemporalConsistency)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultTemporalConsistency castOrCopy​(TemporalConsistency object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultTemporalConsistency`, then it is returned unchanged.
      - Otherwise a new `DefaultTemporalConsistency` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.